hk_report(1)

NAME
hk_report - prints a report to stdout. hk_report is part of the hk_classes package

SYNOPSIS
hk_report -d driver -b database [OPTIONS] report

DESCRIPTION
hk_report prints a report to stdout. To create a report use knoda (http://www.knoda.org).

OPTIONS

-b, --database=DATABASE
    database name

-d, --driver=DRIVERNAME
    set the SQL-driver (e.g. mysql). You can get a list of all existing SQL-drivers with -l or --list

-f, --filter=FILTER
    filter of the datasource. It has the same syntax as the WHERE clause of a SQL statement, just without the 'WHERE'. Example: "author_id = 5"

-h, --host=HOST
    name or IP-number of the host

-l, --list
    List available database drivers

-p, --password=PASSWORD
    user password at the SQL server

-r, --port=PORT
    TCP-port on host

-u, --user=USERNAME
    user name at the sql-server

--version
    version and author of hk_classes

DIAGNOSTICS
hk_report returns 0 if everything was ok, or 1 if an error occured. A clear text error message will be written to stderr.

AUTHOR
Horst Knorr <hk_classes@knoda.org>

SEE ALSO
hk_actionquery(1), hk_exportcsv(1), hk_exportxml(1), hk_importcsv(1)